Bug 1125019 - Asus 1001HA - Power Button not detected [NEEDINFO]
Summary: Asus 1001HA - Power Button not detected
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 21:31 UTC by masterf6
Modified: 2014-12-10 15:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:03:07 UTC
jforbes: needinfo?


Attachments (Terms of Use)
dmesg.txt (53.65 KB, text/plain)
2014-07-30 21:31 UTC, masterf6
no flags Details

Description masterf6 2014-07-30 21:31:19 UTC
Created attachment 922741 [details]
dmesg.txt

Description of problem:

While the external Touchpad Button is detected, the Power Button is not detected on this netbook. Mate dont show the shutdown dialog, xev dont show any event. Its also inpossible to wake up the device from suspend (because the button is not detected?).

ACPI is generally suboptimal configured, sensors show an tempartur of -273.0°C, the backlight is adjusted in intervalls of bright - dark.  


uname -a:
Linux localhost.localdomain 3.15.6-200.fc20.i686 #1 SMP Fri Jul 18 03:18:07 UTC 2014 i686 i686 i386 GNU/Linux

xinput:
Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ SynPS/2 Synaptics TouchPad              	id=12	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Video Bus                               	id=6	[slave  keyboard (3)]
    ↳ Power Button                            	id=7	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=8	[slave  keyboard (3)]
    ↳ USB2.0 UVC 1.3M WebCam                  	id=9	[slave  keyboard (3)]
    ↳ Eee PC WMI hotkeys                      	id=10	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=11	[slave  keyboard (3)]

Comment 1 masterf6 2014-07-31 08:46:17 UTC
also the sysfs-entry exists:

$ cat /sys/class/input/input2/uevent 
PRODUCT=19/0/1/0
NAME="Power Button"
PHYS="PNP0C0C/button/input0"
PROP=0
EV=3
KEY=100000 0 0 0
MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw

Comment 2 Justin M. Forbes 2014-11-13 16:04:43 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2014-12-10 15:03:07 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.